.checkout-info-box{
    padding-top: 50px; padding-left: 170px;
}
.back-store-btn{
    display: flex;
    align-items: center;
    gap: 10px;
    padding-top: 40px;
    padding-bottom: 50px;
}
.store-icon {
    height: 28px;
    width: 28px;
    border-radius: 50%;
    overflow: hidden;
}
.store-icon img{
    height: 100%;
    width: 100%;
    object-fit: cover;
}
.checkout-wrapper{
    display: flex;gap: 80px; padding-bottom: 60px;
}
.pay-for-me-cart.checkout-wrapper {
    gap: 60px
}
.checkout-wrapper h3{font-size: 18px; font-weight: 600;flex-basis: 210px;
    line-height: 28px;}
.checkout-wrapper .main-info-box{
    max-width: 40vw; flex: 1;
}
/* .checkout-wrapper .main-info-box .btn-red{
    padding: 12px 42px; margin-top: 20px;;
} */
.checkout-wrapper .main-info-box h4 , .checkout-wrapper .main-info-box h3{
    font-size: 16px;
    font-weight: 500;
}
.checkout-wrapper .main-info-box .inner-box{
    margin-bottom: 15px;
    box-shadow: rgba(0, 0, 0, 0.07) 0px 2px 20px;
    border-width: 1px;
    border-style: solid;
    border-color: rgb(226, 228, 231);
    border-image: initial;
    border-radius: 8px;
    padding: 15px;
    background: rgb(255, 255, 255);
}
.cart-sidebar, .productSideBar{
    box-shadow: rgba(0, 0, 0, 0.07) 0px 2px 20px !important; border-color: rgb(146, 160, 182);
}
.checkout-wrapper .main-info-box .delivery-time span{
    font-weight: 500; color: #60B527;
}
.checkout-wrapper .payment-box , .checkout-wrapper .promo-code-box{
    margin-top: 30px;
}
.checkout-wrapper .add-promo-code{gap: 10px;}
.checkout-wrapper .add-promo-code .btn-red {
    border-radius: 8px;
    padding: 8px 15px;
}
.checkout-wrapper .add-promo-code input{
    border-radius: 8px; font-size: 14px;
}
/* .checkout-wrapper .main-info-box .promo-code-box h3{
    margin-bottom: 20px;
} */
.checkout-wrapper .main-info-box textarea{
    background: none; font-size: 14px; margin: 15px 0;
}
.address-modal .modal-content{
    border-radius: 15px;
}
.address-modal .modal-header{
    border-bottom: none; position: relative; display: inline-block; text-align: center;
}
.address-modal h3{
    font-weight: 500; font-size: 16px; margin-bottom: 3%;
}
/* .address-modal .form-label{
    font-size: 14px; font-weight: 500;
  } */
.address-modal .form-control{
    font-size: 14px; font-weight: 400; background: #F9F9FA; border: 1px solid #E2E4E7; border-radius: 4px; padding: 9px 10px;
  }
.address-modal ul li{
    margin-bottom: 10px;
  }
.address-modal .badge{
background: #EBEDEF; color: #5D6676 !important; font-weight: 600; ;
}
.btn-close{
    background: none;
    font-size: 26px;
    color: #252D3C;
    opacity: 1;
    padding: 0 !important;
    transition: all .3s;
    position: absolute;
    right: 20px;
    top: 13px;
}
.btn-close:focus{
    outline: none; box-shadow: none;
}
.btn-close:hover{
    color: #9A1725;opacity: 1;
}
.address-modal .custom-radio label{
    font-weight: 400;
}
.address-modal .btn-red{
    padding: 11.5px 24px;
    color: #fff;
    font-weight: 400;
}
.add-address-btn {
    border: none; background: none; padding: 0;
}
.cart-sidebar.fixed-sidebar {
    box-shadow: none;
    position: fixed;
    right: 0;
    top: 0;
    z-index: 100;
    border-radius: 0;
    width: 350px;
    height: 100vh;
}
.cart-sidebar.fixed-sidebar .cart-item {
    padding: 5px 0px;
}
/* .cart-sidebar.fixed-sidebar .cart-list{
    max-height: calc(100vh - 250px);
    overflow-y: auto;
    height: 100%;
} */
.cart-sidebar.fixed-sidebar .cart-head{
    margin-bottom: 20px;
}
.cart-sidebar.fixed-sidebar .cart-footer{
    font-weight: 500;
}
.cart-sidebar.fixed-sidebar .cart-footer ul li{
    padding: 7px 0;
}
.cart-sidebar.fixed-sidebar .cart-footer .btn-red{
    padding: 13px 24px; margin-top: 20px;
}
.cart-sidebar.fixed-sidebar .cart-wrapper {
    padding: 72px 15px 15px 15px;
    overflow: hidden;
    max-height: 100%;
}
.cart-sidebar.fixed-sidebar .cart-wrapper .shop-cart{
    max-height: calc(100vh - 570px);
    overflow-y: auto;
    /* height: 100%; */
}
.cart-sidebar, .productSideBar , .cart-wrapper{
    height: auto !important;
}


.shop-cart-wrapper{
    height: 100%;
}
.shop-cart-wrapper .cart-head> h5{
    font-weight: 700; font-size: 14px; color: #344054; border-bottom: 1px dotted #cdd0d5; display: inline-block; padding-bottom: 5px;
}
.shop-cart-wrapper .summary-widget{
    display: flex; flex-direction: column; gap: 14px;
}
.shop-cart-wrapper .summary-widget .total-amount{
    border-top: 1px dashed #cdd0d5 ; padding-top: 14px;
}
.top-bar-main-wrapper {
    background: #f9f9fa !important;
}
.use-saved-card{
    position: relative; overflow: hidden;
}
.use-saved-card:after{
    width: 100%;position: absolute; content: ""; border-bottom: 1px solid #C0C4CA; right: -130px; top: 10px;
}



/* cart page design */
.checkout-header{
    padding-top: 60px; padding-bottom: 65px;
}
.checkout-header h1{
    color: #252D3C;
    font-size: 18px;
    font-weight: 600;
    margin-top: 16px;
}
.vendors-list li a{
padding: 4px;
border-radius: 32px;
transition: all .3s;
}
.vendors-list{
    flex-basis: 180px;
}
.vendors-list li a.active , .vendors-list li a:hover{
    background: #F5E8E9
}
.vendors-list ul{
    display: flex; flex-direction: column; gap: 16px;
}
/* .vendors-list li img{
    height: 16px; width: 16px; border-radius: 50%;
} */
.vendors-list .vendor-count{
    background: #161B23; color: #fff; border-radius: 32px; font-weight: 600; font-size: 12px; height: 26px; width: 24px; text-align: center; line-height: 26px;
}
.price-symbol {
    font-family: sans-serif;
}
.existing-address{
    border-bottom: 1px dashed #E2E4E7;
}
.cart-info-group{
    flex-direction: column;
}
.cart-info-group p{
    display: -webkit-box;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  overflow: hidden;
}
/* .cart-bottom-box{
    padding: 15px;
} */
.variant-name{
    flex-basis: 150px;
}

.add-attachment{
    border: 1px solid #E2E4E7;
    border-radius: 8px;
    margin: 20px 0;
    padding: 16px;
}
.file-upload{
    background: #F9F9FA; padding: 12px; border-radius: 4px;
}
/* Hide the default file input button */
input[type="file"] {
    /* opacity: 0; */
    /* position: absolute; */
    /* width: 1px; */
    /* height: 1px; */
}

/* Style the custom label to replace the button */
.custom-label {
    font-size: 12px;
    color: #777F8C;
    cursor: pointer;
}
.modal-styling.public-cart-modal .form-control , .modal-styling.continue-pay-modal .form-control{
    font-size: 14px;
    background: #F9F9FA;
    border: 1px solid #E2E4E7;
    border-radius: 4px;
    padding: 13px 10px;
     height: 52px;
}
.modal-styling.public-cart-modal .btn-red , .modal-styling.continue-pay-modal .btn-red{
    padding: 12px 24px;
}
.modal-styling.public-cart-modal .form-floating label , .modal-styling.continue-pay-modal .form-floating label{
 color: #6c757d
}

.form-floating>.form-control:focus~label, .form-floating>.form-control:not(:placeholder-shown)~label, .form-floating>.form-select~label{
    opacity: 1;
}

#uploadPreview {
      display: flex;
      gap: 10px;
      flex-wrap: wrap;
      justify-content: center;
      margin-bottom: 10px;
    }

    .preview-item {
      position: relative;
      width: 100%;
      height: 200px;
    }

    .preview-item img,
    .preview-item video {
      width: 100%;
      height: 100%;
      object-fit: contain;
      border-radius: 4px;
      border: 1px solid #E2E4E7;
    }

    .remove-btn {
      position: absolute;
      top: -8px;
      right: -8px;
      background: #9A1725;
      color: white;
      border: none;
      border-radius: 50%;
      width: 20px;
      height: 20px;
      font-size: 12px;
      cursor: pointer;
      line-height: 18px;
      text-align: center;
    }

    #uploadBox {
      border: 1px dashed #9A1725;
      background-color: #F5E8E9;
      padding: 15px;
      text-align: center;
      border-radius: 8px;
      width: 100%;
      max-width: 500px;
      margin: auto;
      cursor: pointer;
      position: relative;
    }

    #fileInput {
      opacity: 0;
      position: absolute;
      width: 100%;
      height: 100%;
      left: 0;
      top: 0;
      cursor: pointer;
    }



    .choose-text {
      color: #b30000;
      text-decoration: underline;
    }

    #progressBar {
      width: 100%;
      margin-top: 10px;
      display: none;
    }
    .pay-for-me-wrapper{
        padding-top: 80px;
    }
    .pay-for-me-wrapper .img-box{
        border: 1px solid #CDD0D5; border-radius: 4px; height: 300px; margin-bottom: 24px;
    }
    .pay-for-me-wrapper .img-box img{
        height: 100%; width: 100%; object-fit: contain;
    }
    .pay-for-me-cart .cart-items{
        flex-basis: 390px;
    }
    .pay-for-me-cart .checkout-heading{
        flex-basis: 110px;
        line-height: 28px;
    }

    .checkout-wrapper.pay-for-me-cart .cart-item:last-child{
    border-bottom: 1px solid #d1949b66;
}
    .share-list{
        display: flex; flex-wrap: wrap; row-gap: 20px; text-align: center;
    }
    .share-list img{
        height: 40px; width: 40px; transition: .3s;
    }
     .share-list a img:hover{
        transform: scale(1.3);
    }
    .share-list a{
        flex-basis: 16.6667%;
    }

    .share-list-btn{
        background: #F5E8E9; color: #9A1725 ; font-weight: 500;
    }
    .custom-checkbox .btn-red{
        font-size: 12px; font-weight: 400; border-radius: 30px; padding: 2px 15px !important; margin-top: 0 !important;
    }
    .cart-item.paid-item{
        pointer-events: none; opacity: .3;;
    }
    .cart-message-box{
        text-align: justify;
    }
    #copyMsg {
        transition: opacity 0.3s ease;
       display: none;
    color: #9A1725;
    font-size: 12px;
    margin-bottom: 0;
    position: absolute;
    top: -36px;
    right: 0;
    left: 0;
    }
.img-box img{
    width: 100%;
}
.continue-pay-modal #nameYourCartInput-error{
    top: 40px;
    left: -11px;
}
.modal-backdrop {
    z-index: 100 !important;
}
.modal.address-modal , .modal.continue-pay-modal{
    z-index: 1000;
}

/* Popup box */
.delete-popup-box {
  text-align: left !important;
  border-radius: 15px !important;
}

/* Title */
.delete-popup-box .swal2-html-container.delete-text {
  text-align: left !important;
  margin-top: 10px !important;

}

/* Icon */
.delete-popup-box .delete-icon {
    width: 4em;
    height: 4em;
    margin: 0;
    margin-bottom: 10px;
}
.delete-popup-box .delete-icon i{
    font-size: 28px !important;
}
.delete-popup-box .swal2-actions{
    margin-top: 20px !important;
    font-size: 12px !important;
}
.delete-popup-box .swal2-deny , .delete-popup-box .swal2-confirm{
    border-radius: 8px !important; height: 44px !important;
}
.delete-popup-box .swal2-deny{
    background: none; border: 1px solid #CDD0D5; color: #344054;
}
.delete-popup-box .swal2-confirm{
    background: #9A1725 !important; transition: all .3s;
}
.delete-popup-box .swal2-confirm:hover{
    background: #6e101a !important;
}
.delete-popup-box .swal2-close{
    background: #636972 !important;
}
.remove-promo-code{
    color: #9A1725;
    background: #F5E8E9;
    border-radius: 4px;
    border: none;
}

.top-navbar {
    padding: 16px 0px;
}
.create-public-cart-btn{
    padding-top: 10px !important; padding-bottom: 10px !important;
}